<?php
include_once('php/php_headers.php');
$no_date=$no_message=$msg=null;
$scripts = '<script src="js/formfunctions.js" type="text/javascript"></script>';
if((isset($_GET['edit_id']) || isset($_GET['forward_id'])) || (isset($_GET['step']) && $_GET['step']==1)){
$scripts .= '<script src="js/limitTextarea2.js" type="text/javascript"></script>';
$scripts .= '<script src="js/counter_funcs.js" type="text/javascript"></script>';
$scripts .= '<script src="js/datetimepicker_css.js"></script>';
}
$scripts .= '<script>function checked(){var answer = confirm("Θέλετε να αποτρέψετε την αποστολή του μηνύματος;");if (answer) document.messages.submit(); return false;}</script>';
$scripts .= '<script>function checked2(){var answer = confirm("Θέλετε να επιτρέψετε στις συσκευές να μπορούν να δουν το μήνυμα;");if (answer) document.messages.submit(); return false;}</script>';
$scripts .= '<script>function deletechecked(){var answer = confirm("Θέλετε να διαγράψετε το μήνυμα;");if (answer) document.messages.submit(); return false;}</script>';

html_header('Επεξεργασία μηνυμάτων',$scripts,'table_status.php');
session_null('edit_messages');
echo '<br /><h6 class="center">Εύρεση μηνύματος</h6>';
/* Κρατά τις επιλογές που έδωσε ο χρήστης κατά την αναζήτηση */
if(isset($_POST['search'])){
	if($_POST['typem']=="all"){
		$_SESSION['checkm1'] = "selected";$_SESSION['checkm2'] = "";$_SESSION['checkm3'] = "";$_SESSION['checkm4'] = "";
	}
	else if($_POST['typem']=="all_read"){
		$_SESSION['checkm1'] = "";$_SESSION['checkm2'] = "selected";$_SESSION['checkm3'] = "";$_SESSION['checkm4'] = "";
	}
	else if($_POST['typem']=="all_unread"){
		$_SESSION['checkm1'] = "";$_SESSION['checkm2'] = "";$_SESSION['checkm3'] = "selected";$_SESSION['checkm4'] = "";
	}
	else if($_POST['typem']=="message"){
		$_SESSION['checkm1'] = "";$_SESSION['checkm2'] = "";$_SESSION['checkm3'] = "";$_SESSION['checkm4'] = "selected";
	}
	
	$_SESSION['search_termm'] = $_POST['search_termm'];
	$_SESSION['typem'] = $_POST['typem'];
	if(!empty($search_termm)) $_SESSION['search_termm'] = clean($_SESSION['search_termm']);	
	$_SESSION['edit_messages'] = get("","message",$_SESSION['typem'],$_SESSION['search_termm'],"all");	
	$_GET['page'] = 1;
}
if(isset($_SESSION['edit_messages'])){
	$_SESSION['edit_messages'] = get("","message",$_SESSION['typem'],$_SESSION['search_termm'],"all");	
}
$search_form = '
<form method="post" action="edit_messages.php" accept-charset="utf-8" class="center width">
	<table>
		<tr>
			<td>
				<h2>Κατηγορία:&nbsp;</h2>
			</td>
			<td>
				<select class="drop" name="typem">
					<option value="all" '.$_SESSION['checkm1'].'>Όλα τα μηνύματα</option>
					<option value="all_read" '.$_SESSION['checkm2'].'>Όλα τα αναγνωσμένα</option>
					<option value="all_unread" '.$_SESSION['checkm3'].'>Όλα όσα εκκρεμούν</option>
					<option value="message" '.$_SESSION['checkm4'].'>Αναζήτηση με το περιεχόμενο του μηνύματος</option>
				</select>
			</td>
			<td>
				<input type="text" class="field3" name="search_termm" value="'.$_SESSION['search_termm'].'"/>
			</td>
			<td>
				<input type="submit" name="search"  title = "Αναζήτηση" class="searchbox" value="" />
			</td>
		</tr>
	</table>
</form>
<hr /><br />';
echo $search_form;
if(!isset($_GET['edit_id']) && !isset($_GET['forward_id'])){
	if(isset($_SESSION['edit_messages'])){
		if($_SESSION['edit_messages']){
		
			if(isset($_GET['page']) && is_numeric($_GET['page']))$_SESSION['page'] = $_GET['page'];
			else $_SESSION['page'] = 1;
			
			echo '<div class="refreshMeTable">';
			include("table_status.php");			
			echo '</div>';		
		}
		else echo '<br /><div id="msg_error" class="more_left_2">Δεν βρέθηκαν αποτελέσματα!</div>';
	}
}
/* edit */
if(isset($_GET['edit_id'])){
	if ( (filter_var($_GET['edit_id'], FILTER_VALIDATE_INT)) && ($_GET['edit_id'] ==  strval(intval($_GET['edit_id'])))){
			$edit_id = clean($_GET['edit_id']); 
	}
	else {
			$edit_id=null;
	}	
} 
else { 
	$edit_id=null;
}
if(isset($edit_id) && is_numeric($edit_id) &&  check("message", clean($edit_id),"id")){
	if(isset($_POST['submit'])){
		$insert1=false;
		if(isset($_POST['date_activate']) && !empty($_POST['date_activate'])){
			if(check_date($_POST['date_activate'])==1){
				$insert2 = 1;
				$no_message = '';
			}
			else{
				$insert2 = 0;
				$no_date = '<h3 class="triangle-border left more_top">Λανθασμένη ημερομηνία!</h3>';			
			}
			$date = clean($_POST['date_activate']);
		}
		else {
			$insert2 = 2;
			$date = null;
		}
		$m = nl2br($_POST['message'], TRUE);
		$message = str_replace('<br />', '', $m);
		$maxlength = max_length();
		$maxlength = intval($maxlength)-16;
		
		if($_POST['notify'] == "yes") {$notify_yes = "checked"; $notify_no = "";}
		else if($_POST['notify'] == "no") {$notify_yes = ""; $notify_no = "checked";}
		
		if($_POST['ring'] == "yes") {$ring_yes = "checked"; $ring_no = "";}
		else if($_POST['ring'] == "no") {$ring_yes = ""; $ring_no = "checked";}
		
		if($_POST['light'] == "yes") {$light_yes = "checked"; $light_no = "";}
		else if($_POST['light'] == "no") {$light_yes = ""; $light_no = "checked";}
		
		if($_POST['display'] == "yes") {$display_yes = "checked"; $display_no = "";}
		else if($_POST['display'] == "no") {$display_yes = ""; $display_no = "checked";}
			
		if(!isset($_POST['message']) || empty($_POST['message'])) $no_message = '<h3 class="triangle-border left">Το μήνυμα απαιτείται!</h3>';
		// else if (!preg_match("/[^A-Za-z0-9\/\'\(\)\=\<\>\+\-\_\,\!\?\;\:\.\!\' ']/", $_POST['message']))$no_message = '<h3 class="triangle-border left">Μη αποδεκτοί χαρακτήρες!</h3>';
		else if ((invalid_char($_POST['message'],'message') <> null)){$no_message = invalid_char($_POST['message'],'message');}
		else if(mb_strlen($_POST['message'], 'UTF-8') >= $maxlength) $no_message = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι '.$maxlength.' χαρακτήρες!</h3>';
		else $insert1 = true;			

		if($insert1 && $insert2<>0){
			if (update('message',$_SESSION['ekdhlos_userid'],$message,$_POST['notify'],$_POST['ring'],$_POST['light'],$_POST['display'],$edit_id,$date)){ 
				$msg = '<br /><div id="msg_ok" class="more_left_2">Η επεξεργασία έγινε με επιτυχία!</div>'; 
				echo "<script>setTimeout('window.location.href=\"edit_messages.php\"', 3000)</script>";
			}
			else $msg = '<div id="msg_error" class="more_left_2">Σφάλμα κατά την αποστολή!</div>';
		}
	}
	else{
		$d = get('activate_at','message','id',$edit_id,'one');		
		date_default_timezone_set('Europe/Athens');
		if(($d<=date('Y-m-d H:i:s')) || $d==null || get('display','message','id',$edit_id,'one')=='yes')$date = null;
		else $date = $d;
		$message = get('message','message','id',$edit_id,'one');		
		if(get('ring','message','id',$edit_id,'one') == "yes"){$ring_yes = "checked"; $ring_no = "";}
		else if(get('ring','message','id',$edit_id,'one') == "no"){$ring_yes = ""; $ring_no = "checked";}		
		if(get('light','message','id',$edit_id,'one') == "yes"){$light_yes = "checked"; $light_no = "";}
		else if(get('light','message','id',$edit_id,'one') == "no"){$light_yes = ""; $light_no = "checked";}		
		if(get('notify','message','id',$edit_id,'one') == "yes"){$notify_yes = "checked"; $notify_no = "";}
		else if(get('notify','message','id',$edit_id,'one') == "no"){$notify_yes = ""; $notify_no = "checked";}		
		if(get('display','message','id',$edit_id,'one') == "yes"){$display_yes = "checked"; $display_no = "";}
		else if(get('display','message','id',$edit_id,'one') == "no"){$display_yes = ""; $display_no = "checked";}		
	}
	$maxlength = max_length();

	$form = '
	<div id="tools5">';
if(check_for_revoke_on_not($edit_id) == 0){
	if(get('display','message','id',$edit_id,'one')=="yes"){						
		$form .= "<a href=\"edit_messages.php?revoke_id={$edit_id}\" onclick=\"return checked();\"><img src=\"images/revoke.png\" title=\"Αποτρέψτε τις συσκεύες από το να διαβάσουν το μήνυμα!\"/></a>";
	}
	else{
		$form .= "<a href=\"edit_messages.php?revoke_id={$edit_id}\" onclick=\"return checked2();\"><img src=\"images/tick.png\" title=\"Επιτρέψτε στις συσκεύες να διαβάσουν το μήνυμα!\"/></a>";						
	}
}		
$form .= '
<a href="edit_messages.php?forward_id='.$edit_id.'&amp;step=1"><img src="images/fw.png" title="Κάντε κλικ για να προωθήσετε το μήνυμα!"/></a>
<a href="edit_messages.php?edit_id='.$edit_id.'"><img src="images/icon-edit.png" title="Κάντε κλικ για να επεξεργαστείτε το μήνυμα!"/></a>
<a href="edit_messages.php?delete_id='.$edit_id.'" onclick="return deletechecked();"><img src="images/icon-delete.png" title="Κάντε κλικ για να διαγράψετε το μήνυμα!"/></a>

</div>';
	$form .= '<h1 class="center">Επεξεργασία μηνύματος</h1>
			<div id="content">
	<form name="form" method="post" accept-charset="utf-8" class="more_left_9 width">
				<input type="hidden" value="'.$maxlength.'" id="max_length" />	
				<h4>Μπορείτε να εισάγετε ακόμα: <span id="text_counter">'.(intval($maxlength)-16).'</span> χαρακτήρες</h4>				<textarea name="message" id="message" class="area" maxlength="'.$maxlength.'" required>'.$message.'</textarea>
				<span id="m_validate" class="more_left_m">'.$no_message.'</span>
<ol class="hh2">
<li>
<h3>
Επιτρέπονται μόνο λατινικοί χαρακτήρες, αριθμοί και τα σύμβολα: 
&nbsp;\&nbsp;&nbsp;/&nbsp;&nbsp;\'&nbsp;&nbsp;(&nbsp;&nbsp;)&nbsp;&nbsp;=&nbsp;&nbsp;<&nbsp;&nbsp;>&nbsp;&nbsp;+&nbsp;&nbsp;-&nbsp;&nbsp;_&nbsp;&nbsp;,&nbsp;&nbsp;!&nbsp;&nbsp;?&nbsp;&nbsp;;&nbsp;&nbsp;:&nbsp;&nbsp;.&nbsp;&nbsp;!
</h3>
</li>
</ol>
<ol class="hh2">
<li>
	<label for="date">Ενεργοποίηση: </label>
</li>
<li>
<img style="cursor:help" src="images/Question.png" alt="help" title="Επίλεξτε το πότε θέλετε να ενεργοποίησετε το μήνυμα. 
Το πεδίο δεν είναι υποχρεωτικό.">
<img alt="calendar" title="Κάντε κλικ για να εισάγετε ημερομηνία ενεργοποίησης του μηνύματος" src="images/Calendar.png" onclick="javascript:NewCssCal (\'date\',\'yyyyMMdd\',\'arrow\',true,\'24\',true)" style="cursor:pointer"/>
<img alt="delete" title="Κάντε κλικ για να διαγράψετε την ημερομηνία ενεργοποίησης του μηνύματος" src="images/Cancel.png" onclick="clearText();" style="cursor:pointer"/>&nbsp;

<input type="text" readonly="readonly" onchange="check_date();" id="date" class="field4" name="date_activate" value="'.$date.'"/>
</li>
<li>
	<span id="date_validate">'.$no_date.'</span>
</li>
</ol>
		<table>
			<tr>
				<td><h2>Ειδοποίηση όταν διαβαστεί:&nbsp;&nbsp;</h2></td>
				<td>
				<h5>
					<input type="radio" onclick="check_m();" name="notify" value="yes" '.$notify_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="radio" onclick="check_m();" name="notify" value="no" '.$notify_no.'/>&nbsp;Όχι
				</h5>
				</td>
				<td></td>
			</tr>
			<tr>
				<td><h2>Ηχητική ειδοποίηση συσκευών:&nbsp;&nbsp;</h2></td>
				<td>
				<h5>
					<input type="radio" onclick="check_m();" name="ring" value="yes" '.$ring_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="radio" onclick="check_m();" name="ring" value="no" '.$ring_no.'/>&nbsp;Όχι
				</h5>
				</td>
				<td></td>
			</tr>
			<tr>
				<td><h2>Φωτεινή ειδοποίηση συσκευών:&nbsp;&nbsp;</h2></td>
				<td>
				<h5>
					<input type="radio" onclick="check_m();" name="light" value="yes" '.$light_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="radio" onclick="check_m();" name="light" value="no" '.$light_no.'/>&nbsp;Όχι
				</h5>
				</td>
				<td></td>
			</tr>
			<tr>
				<td><h2>Εμφάνιση μηνύματος:&nbsp;&nbsp;</h2></td>
				<td>
				<h5>
					<input type="radio" id="radio1" onclick="change_radio(); check_m();" name="display" value="yes" '.$display_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="radio" id="radio2" onclick="change_radio(); check_m();" name="display" value="no" '.$display_no.'/>&nbsp;Όχι
				</h5>
				</td>
				<td></td>
			</tr>
			<tr>
				<td></td>
				<td><input type="submit" name="submit" onclick="return deletechecked3();" id="submit" class="button" value="Επεξεργασία"></td>
				<td></td>
			</tr>
		</table>
	</form>'.$msg;
	echo $form."</div>";
	
}
else if(isset($edit_id) && (!is_numeric($edit_id) ||  check("message", clean($edit_id),"id")==0)){
	echo '<br /><div id="msg_error" class="more_left_2">Δεν υπάρχει μήνυμα με αυτό το id!</div>';
	echo "<script>setTimeout('window.location.href=\"edit_messages.php\"', 3000)</script>";	
}

if(isset($_GET['revoke_id'])){
	if ( (filter_var($_GET['revoke_id'], FILTER_VALIDATE_INT)) && ($_GET['revoke_id'] ==  strval(intval($_GET['revoke_id'])))){
			$revoke_id = clean($_GET['revoke_id']); 
	}
	else {
			$revoke_id=null;
	}	
} 
else { 
	$revoke_id=null;
}
if(isset($revoke_id) && is_numeric($revoke_id) &&  check("message", clean($revoke_id),"id")) revoke(clean($revoke_id));
else if(isset($revoke_id) && (!is_numeric($revoke_id) ||  check("message", clean($revoke_id),"id")==0)){
	echo '<br /><div id="msg_error" class="more_left_2">Δεν υπάρχει μήνυμα με αυτό το id!</div>';
	echo "<script>setTimeout('window.location.href=\"edit_messages.php\"', 3000)</script>";	
}
if(isset($_GET['delete_id'])){
	if ( (filter_var($_GET['delete_id'], FILTER_VALIDATE_INT)) && ($_GET['delete_id'] ==  strval(intval($_GET['delete_id'])))){
			$delete_id = clean($_GET['delete_id']); 
	}
	else {
			$delete_id=null;
	}	
} 
else { 
	$delete_id=null;
}
if(isset($delete_id) && is_numeric($delete_id) &&  check("message", clean($delete_id),"id")) {
	if (delete('message',$delete_id)){
		echo '<br /><div id="msg_ok" class="more_left_2">Η διαγραφή έγινε με επιτυχία!</div>';
		$ids = get('','status_message','message_id',$delete_id,'all');
		foreach($ids as $row)	if(delete('status_message',$row['id'])==0) echo '<div id="msg_error" class="more_left_2">Σφάλμα κατά τη διαγραφή!</div>';
		echo "<script>setTimeout('window.location.href=\"edit_messages.php\"', 2000)</script>";
	}
	else echo '<div id="msg_error" class="more_left_2">Σφάλμα κατά τη διαγραφή!</div>';
}
else if(isset($delete_id) && (!is_numeric($delete_id) ||  check("message", clean($delete_id),"id")==0)){
	echo '<br /><div id="msg_error" class="more_left_2">Δεν υπάρχει μήνυμα με αυτό το id!</div>';
	echo "<script>setTimeout('window.location.href=\"edit_messages.php\"', 3000)</script>";	
}
if(isset($_GET['forward_id'])){
	if ( (filter_var($_GET['forward_id'], FILTER_VALIDATE_INT)) && ($_GET['forward_id'] ==  strval(intval($_GET['forward_id'])))){
			$forward_id = clean($_GET['forward_id']); 
	}
	else {
			$forward_id=null;
	}	
} 
else { 
	$forward_id=null;
}
/* forward */
if(isset($forward_id) && is_numeric($forward_id) &&  check("message", clean($forward_id),"id")) {
	echo '	
	<div id="tools5">';
if(check_for_revoke_on_not($forward_id) == 0){
	if(get('display','message','id',$forward_id,'one')=="yes"){					
		echo "<a href=\"edit_messages.php?revoke_id={$forward_id}\" onclick=\"return checked();\"><img src=\"images/revoke.png\" title=\"Αποτρέψτε τις συσκεύες από το να διαβάσουν το μήνυμα!\"/></a>";
	}
	else{
		echo "<a href=\"edit_messages.php?revoke_id={$forward_id}\" onclick=\"return checked2();\"><img src=\"images/tick.png\" title=\"Επιτρέψτε στις συσκεύες να διαβάσουν το μήνυμα!\"/></a>";						
	}
}		
echo '
<a href="edit_messages.php?forward_id='.$forward_id.'&amp;step=1"><img src="images/fw.png" title="Κάντε κλικ για να προωθήσετε το μήνυμα!"/></a>
<a href="edit_messages.php?edit_id='.$forward_id.'"><img src="images/icon-edit.png" title="Κάντε κλικ για να επεξεργαστείτε το μήνυμα!"/></a>
<a href="edit_messages.php?delete_id='.$forward_id.'" onclick="return deletechecked();"><img src="images/icon-delete.png" title="Κάντε κλικ για να διαγράψετε το μήνυμα!"/></a>

</div>';
	$step=clean($_GET['step']);
	if($step==1){
		if(isset($_POST['continue'])){
			$insert1=false;
			if(isset($_POST['date_activate']) && !empty($_POST['date_activate'])){
				if(check_date($_POST['date_activate'])==1){
					$insert2 = 1;
					$no_message = '';
				}
				else{
					$insert2 = 0;
					$no_date = '<h3 class="triangle-border left more_top">Λανθασμένη ημερομηνία!</h3>';			
				}
				$date = clean($_POST['date_activate']);
			}
			else {
				$insert2 = 2;
				$date = null;
			}
			$m = nl2br($_POST['message'], TRUE);
			$message = str_replace('<br />', '', $m);
			$maxlength = max_length();
			$maxlength = intval($maxlength)-16;
			if($_POST['notify'] == "yes") {$notify_yes = "checked"; $notify_no = "";}
			else if($_POST['notify'] == "no") {$notify_yes = ""; $notify_no = "checked";}			
			if($_POST['ring'] == "yes") {$ring_yes = "checked"; $ring_no = "";}
			else if($_POST['ring'] == "no") {$ring_yes = ""; $ring_no = "checked";}			
			if($_POST['light'] == "yes") {$light_yes = "checked"; $light_no = "";}
			else if($_POST['light'] == "no") {$light_yes = ""; $light_no = "checked";}				
			if(!isset($_POST['message']) || empty($_POST['message'])) $no_message = '<h3 class="triangle-border left">Το μήνυμα απαιτείται!</h3>';
			// else if (!preg_match("/[^A-Za-z0-9\/\'\(\)\=\<\>\+\-\_\,\!\?\;\:\.\!\' ']/", $_POST['message']))$no_message = '<h3 class="triangle-border left">Μη αποδεκτοί χαρακτήρες!</h3>';
			else if ((invalid_char($_POST['message'],'message') <> null)){$no_message = invalid_char($_POST['message'],'message');}
			else if(mb_strlen($_POST['message'], 'UTF-8') >= $maxlength) $no_message = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι '.$maxlength.' χαρακτήρες!</h3>';
			else $insert1 = true;
			if($insert1 && $insert2<>0){
				$_SESSION['message']=$message;
				$_SESSION['light']=$_POST['light'];
				$_SESSION['ring']=$_POST['ring'];
				$_SESSION['notify']=$_POST['notify'];
				$_SESSION['date']=$date;
				echo "<script>setTimeout('window.location.href=\"edit_messages.php?forward_id=".$forward_id."&step=2\"', 0000)</script>";
			}
		}
		else{
			$d = get('activate_at','message','id',$forward_id,'one');		
			date_default_timezone_set('Europe/Athens');
			if(($d<=date('Y-m-d H:i:s')) || $d==null || get('display','message','id',$forward_id,'one')=='yes')$date = null;
			else $date = $d;
			$message = get('message','message','id',$forward_id,'one');
			
			if(get('ring','message','id',$forward_id,'one') == "yes"){$ring_yes = "checked"; $ring_no = "";}
			else if(get('ring','message','id',$forward_id,'one') == "no"){$ring_yes = ""; $ring_no = "checked";}
			
			if(get('light','message','id',$forward_id,'one') == "yes"){$light_yes = "checked"; $light_no = "";}
			else if(get('light','message','id',$forward_id,'one') == "no"){$light_yes = ""; $light_no = "checked";}
			
			if(get('notify','message','id',$forward_id,'one') == "yes"){$notify_yes = "checked"; $notify_no = "";}
			else if(get('notify','message','id',$forward_id,'one') == "no"){$notify_yes = ""; $notify_no = "checked";}
		}
		$maxlength = max_length();
		
		echo'
			<ul id="tabs">
				<li id="current"><span>Προωθημένο μήνυμα</span></li>
				<li><span>Προώθηση σε ομάδες ή συσκευές</span></li>
				<li><span>Επιλογή ομάδων ή συσκευών</span></li>
			</ul>
			<div id="content">';
		$form = '
		<form name="form" method="post" action="edit_messages.php?forward_id='.$forward_id.'&amp;step=1" accept-charset="utf-8" class="more_left_8 width">
				<input type="hidden" value="'.$maxlength.'" id="max_length" />	
				<h4>Μπορείτε να εισάγετε ακόμα: <span id="text_counter">'.(intval($maxlength)-16).'</span> χαρακτήρες</h4>
				<textarea name="message" id="message" class="area" maxlength="'.$maxlength.'" required>'.$message.'</textarea>
				<span id="m_validate" class="more_left_m">'.$no_message.'</span>
<ol class="hh2">
<li>
<h3>
Επιτρέπονται μόνο λατινικοί χαρακτήρες, αριθμοί και τα σύμβολα: 
&nbsp;\&nbsp;&nbsp;/&nbsp;&nbsp;\'&nbsp;&nbsp;(&nbsp;&nbsp;)&nbsp;&nbsp;=&nbsp;&nbsp;<&nbsp;&nbsp;>&nbsp;&nbsp;+&nbsp;&nbsp;-&nbsp;&nbsp;_&nbsp;&nbsp;,&nbsp;&nbsp;!&nbsp;&nbsp;?&nbsp;&nbsp;;&nbsp;&nbsp;:&nbsp;&nbsp;.&nbsp;&nbsp;!
</h3>
</li>
</ol>			
<ol class="hh2">
<li>
	<label for="date">Ενεργοποίηση: </label>
</li>
<li>
<img style="cursor:help" src="images/Question.png" alt="help" title="Επίλεξτε το πότε θέλετε να ενεργοποίησετε το μήνυμα. 
Το πεδίο δεν είναι υποχρεωτικό.">
<img alt="calendar" title="Κάντε κλικ για να εισάγετε ημερομηνία ενεργοποίησης του μηνύματος" src="images/Calendar.png" onclick="javascript:NewCssCal (\'date\',\'yyyyMMdd\',\'arrow\',true,\'24\',true)" style="cursor:pointer"/>
<img alt="delete" title="Κάντε κλικ για να διαγράψετε την ημερομηνία ενεργοποίησης του μηνύματος" src="images/Cancel.png" onclick="clearText();" style="cursor:pointer"/>&nbsp;

<input type="text" readonly="readonly" onchange="check_date();" id="date" class="field4" name="date_activate" value="'.$date.'"/>
</li>
<li>
	<span id="date_validate">'.$no_date.'</span>
</li>
</ol>
				<table>
				<tr>
					<td><h2>Ειδοποίηση όταν διαβαστεί:&nbsp;</h2></td>
					<td>
					<h5>
						<input type="radio" name="notify" value="yes" '.$notify_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<input type="radio" name="notify" value="no" '.$notify_no.'/>&nbsp;Όχι
					</h5>
					</td>
					<td></td>
				</tr>
				<tr>
					<td><h2>Ηχητική ειδοποίηση:&nbsp;</h2></td>
					<td>
					<h5>
						<input type="radio" name="ring" value="yes" '.$ring_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<input type="radio" name="ring" value="no" '.$ring_no.'/>&nbsp;Όχι
					</h5>
					</td>
					<td></td>
				</tr>
				<tr>
					<td><h2>Φωτεινή ειδοποίηση:&nbsp;</h2></td>
					<td>
					<h5>
						<input type="radio" name="light" value="yes" '.$light_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<input type="radio" name="light" value="no" '.$light_no.'/>&nbsp;Όχι
					</h5>
					</td>
					<td></td>
				</tr>
				<tr>
					<td></td>
					<td><input type="submit" name="continue" onclick="return deletechecked3();" id="submit" class="button" value="Συνέχεια"></td>
					<td></td>
				</tr>
			</table>
		</form>'.$msg;
		echo $form."</div>";
	}
	if($step==2){
		echo'
		<ul id="tabs">
			<li><span>Προωθημένο μήνυμα</span></li>
			<li id="current"><span>Προώθηση σε ομάδες ή συσκευές</span></li>
			<li><span>Επιλογή ομάδων ή συσκευών</span></li>
		</ul>
		<div id="content">
		<h1 class="more_left_2">Προωθείστε το μήνυμα σε:</h1>
		<br /><br /><br />
		<div id="choose">
			<a href="edit_messages.php?forward_id='.$forward_id.'&amp;step=3&amp;choice=groups" class="more_left_2 button choice">Ομάδες</a>
			<a href="edit_messages.php?forward_id='.$forward_id.'&amp;step=3&amp;choice=devices" class="more_left_3 button choice">Συσκευές</a>
		</div>
		<br /><br />
		<br /><br /><hr /></div>';
	}
	if($step==3 && isset($_GET['choice'])){	
		if($_GET['choice']=="groups"){
			if($_SESSION['ekdhlos_level']==0) $groups_r = get_groups_by_user("admin");
			else $groups_r = get_groups_by_user();
			$get_form_or_not = 0;
			if($_SESSION['ekdhlos_level']==1){
				foreach($groups_r as $group){
					if(get('devices','groups','id',$group,'one')<>null){
						$get_form_or_not++;
					}
				}
			}
			else{
				foreach($groups_r as $group){
					if(get('devices','groups','id',$group['id'],'one')<>null){
						$get_form_or_not++;
					}
				}		
			}
			if($get_form_or_not>0){
				echo'
					<ul id="tabs">
						<li><span>Προωθημένο μήνυμα</span></li>
						<li><span>Προώθηση σε ομάδες</span></li>
						<li id="current"><span>Επιλογή ομάδων</span></li>
					</ul>
					<div id="content">';
				if(isset($_SESSION['message']) && !empty($_SESSION['message'])){
					if ($groups_r){
						echo '
						<form method="post" accept-charset="utf-8" class="more_left_9">
						<table id="gradient-style">
							<thead>
							<tr>
								<th scope="col" class="width_td">Όνομα ομάδας</th>
								<th scope="col">Επιλογή</th>
							</tr>
							</thead>
							<tbody>';
							$i=0;
							if($_SESSION['ekdhlos_level']==0){
								foreach($groups_r as $row){
									$name="id".$i;
									if(get('','device','',$row['id'],'all')<>null){
										echo'
										<tr>
											<td>';							
							if(get('status','groups','id',$row['id'],'one')=="no") echo "<img alt=\"Ανενεργή\" src=\"images/exclamation-red.png\" title=\"Η ομάδα έχει τεθεί ως ανενεργή!\" />";
							echo get('g_name','groups','id',$row['id'],'one').'</td>
										<td><input type="checkbox" name="'.$name.'" value="'.$row['id'].'"/></td>
										</tr>';
									}
									$i++;
								}						
							}
							else{
								foreach($groups_r as $row){
									$name="id".$i;
									if(get('','device','',$row,'all')<>null){
										echo'
										<tr>
											<td>';							
							if(get('status','groups','id',$row,'one')=="no") echo "<img alt=\"Ανενεργή\" src=\"images/exclamation-red.png\" title=\"Η ομάδα έχει τεθεί ως ανενεργή!\" />";
							echo get('g_name','groups','id',$row,'one').'</td>
										<td><input type="checkbox" name="'.$name.'" value="'.$row.'"/></td>
										</tr>';
									}
									$i++;
								}
							}
						echo '
							<tbody>
						</table><br />
						<input type="submit" name="submit" class="button" value="Αποστολή">
						</form>';
						if(isset($_POST['submit'])){
							$i=$count=0;
							$arr=array();
							if($_SESSION['ekdhlos_level']==0){
								foreach($groups_r as $row){
									$name="id".$i;
									if (isset($_POST[$name]) && $_POST[$name]==$row['id']){
										$arr[$count]=$row['id'];
										$count++;
									}
									$i++;
								}
							
							}
							else{
								foreach($groups_r as $row){
									$name="id".$i;
									if (isset($_POST[$name]) && $_POST[$name]==$row){
										$arr[$count]=$row;
										$count++;
									}
									$i++;
								}
							}
							if($count==0){
								echo '<br /><div id="msg_error" class="more_left_2">Πρέπει να επιλέξετε ομάδες!</div>';
							}
							else if($count>0){
								if(insert('message_by_groups',$_SESSION['message'],$_SESSION['notify'],$_SESSION['ring'],$_SESSION['light'],$arr,$_SESSION['date'])){ 
									echo '<br /><div id="msg_ok" class="more_left_2">Η αποστολή έγινε με επιτυχία!</div><br />'; 
									unset($_SESSION['message']);
									unset($_SESSION['ring']);
									unset($_SESSION['light']);
									unset($_SESSION['date']);
									echo "<script>setTimeout('window.location.href=\"edit_messages.php\"', 3000)</script>";
								}
								else echo '<div id="msg_error" class="more_left_2">Σφάλμα κατά την αποστολή!</div><br />';
							}
						}
						echo'
						</div>';
					}
					else{
						echo '<br /><div id="msg_error" class="more_left_2">Δεν υπάρχουν ομάδες!</div><br />';
						echo "<script>setTimeout('window.location.href=\"edit_messages.php?forward_id=".$forward_id."&step=2\"', 3000)</script>";
					}
				}
				else{
					echo '<br /><div id="msg_error" class="more_left_2">Πρώτα πρέπει να εισάγετε μήνυμα!</div>';
					echo "<script>setTimeout('window.location.href=\"edit_messages.php?forward_id=".$forward_id."&step=1\"', 2000)</script>";	
				}
			}
			else{
				echo'
					<ul id="tabs">
						<li><span>Προωθημένο μήνυμα</span></li>
						<li><span>Προώθηση σε ομάδες ή συσκευές</span></li>
						<li id="current"><span>Επιλογή ομάδων ή συσκευών</span></li>
					</ul>
					<div id="content">';
				echo '<br /><div id="msg_error" class="more_left_2">Δεν υπάρχουν συσκευές στις ομάδες!</div><br /></div>';
				echo "<script>setTimeout('window.location.href=\"edit_messages.php?forward_id=".$forward_id."&step=2\"', 3000)</script>";
			}
		}
		else if($_GET['choice']=="devices"){
			if($_SESSION['ekdhlos_level']==0) $devices_r = get('all','device','','','all');
			else $devices_r = get('send_message','device','','','all');
			if($devices_r){
		echo'
			<ul id="tabs">
				<li><span>Προωθημένο μήνυμα</span></li>
				<li><span>Προώθηση σε συσκευές</span></li>
				<li id="current"><span>Επιλογή συσκευών</span></li>
			</ul>
			<div id="content">';
				if(isset($_SESSION['message']) && !empty($_SESSION['message'])){
					echo '
					<form method="post" accept-charset="utf-8" class="more_left_9">
					<table id="gradient-style">
						<thead>
						<tr>
							<th scope="col" class="width_td">Όνομα συσκευής</th>
							<th scope="col">Επιλογή</th>
						</tr>
						</thead>
						<tbody>';
						$i=0;
						foreach($devices_r as $row){
							$name="id".$i;
							echo'
							<tr>
								<td>';							
							if(get('status','device','id',$row['id'],'one')=="no") echo "<img alt=\"Ανενεργή\" src=\"images/exclamation-red.png\" title=\"Η ομάδα έχει τεθεί ως ανενεργή!\" />";
							echo $row['id'].'</td>
										<td><input type="checkbox" name="'.$name.'" value="'.$row['id'].'"/></td>
							</tr>';
							$i++;
						}
					echo '
						<tbody>
					</table><br />
					<input type="submit" name="submit" class="button" value="Αποστολή">
					</form>';
					if(isset($_POST['submit'])){
						$i=$count=0;
						$arr=array();
						foreach($devices_r as $row){
							$name="id".$i;
							if (isset($_POST[$name]) && $_POST[$name]==$row['id']){
								$arr[$count]=$row['id'];
								$count++;
							}
							$i++;
						}
						if($count==0){
							echo '<br /><div id="msg_error" class="more_left_2">Πρέπει να επιλέξετε συσκευές!</div>';
						}
						else if($count>0){
							if(insert('message_by_devices',$_SESSION['message'],$_SESSION['notify'],$_SESSION['ring'],$_SESSION['light'],$arr,$_SESSION['date'])){ 
								echo '<br /><div id="msg_ok" class="more_left_2">Η αποστολή έγινε με επιτυχία!</div>'; 
								unset($_SESSION['message']);
								unset($_SESSION['ring']);
								unset($_SESSION['light']);
								unset($_SESSION['date']);
								echo "<script>setTimeout('window.location.href=\"edit_messages.php\"', 3000)</script>";
							}
							else echo '<div id="msg_error" class="more_left_2">Σφάλμα κατά την αποστολή!</div>';
						}
					}
				}
				else{
					echo '<br /><div id="msg_error" class="more_left_2">Πρώτα πρέπει να εισάγετε μήνυμα!</div>';
					echo "<script>setTimeout('window.location.href=\"edit_messages.php?forward_id=".$forward_id."&step=1\"', 3000)</script>";
				}
			}
			else{
		echo'
			<ul id="tabs">
				<li><span>Προωθημένο μήνυμα</span></li>
				<li><span>Προώθηση σε ομάδες ή συσκευές</span></li>
				<li id="current"><span>Επιλογή ομάδων ή συσκευών</span></li>
			</ul>
			<div id="content">';
				echo '<br /><div id="msg_error" class="more_left_2">Δεν υπάρχουν συσκευές!</div><br /></div>';
				echo "<script>setTimeout('window.location.href=\"edit_messages.php?forward_id=".$forward_id."&step=2\"', 3000)</script>";
			}
			echo'</div>';
		}
	}
	if(!is_numeric($step) || $step>3){
		echo "<script>setTimeout('window.location.href=\"edit_messages.php?forward_id=".$forward_id."&step=1\"', 0000)</script>";
	}
}
else if(isset($forward_id) && (!is_numeric($forward_id) ||  check("message", clean($forward_id),"id")==0)){
	echo '<br /><div id="msg_error" class="more_left_2">Δεν υπάρχει μήνυμα με αυτό το id!</div>';
	echo "<script>setTimeout('window.location.href=\"edit_messages.php\"', 3000)</script>";	
}
html_footer();
?>